﻿@model IEnumerable<ToitKoju.Recipy>
@helper Truncate(string
    input, int length)
    {
        if (input.Length <= length)
        {
            @input
        }
        else
        {
            @input.Substring(0, length)<text>...</text>
        }
}

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>
@*//proovisin lisada retsepti otsimise võimalust*@
<form>
    <div></div> class="container search-bar">
    @*<form action="siia peab midagi lisama" method="GET">*@
    <input type="submit" value="" />
    <input id="search" type="text" name="mv" value="" placeholder="Sisesta roa nimi/märksõna" />
</form>
<br />

<p>
    @Html.ActionLink("Lisa uus retsept", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.RecipeName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TargetAmount)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Instructions)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Category.CategoryName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Picture)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.User.UserName)
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.Details)*@
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.RecipeName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TargetAmount)
            </td>
            <td>
                @*@Html.DisplayFor(modelItem => item.Instructions)*@
                @Truncate(item.Instructions, 25)
            </td>
            <td>
                @*@Html.DisplayFor(modelItem => item.Category.CategoryName)*@
                @Truncate(item.Category.CategoryName, 25)
            </td>
            <td>
                    <div class="col-md-6" style="padding-left: 0px;  padding-right: 0px;">
                        <img src='@Url.Action( "RecipyImage", "Recipies", new { id = item.RecipeID } )' class="img-responsive" />
                    </div>
                @*@Html.DisplayFor(modelItem => item.Picture)*@
                
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.User.UserName)
            </td>

            <td>
                @*@Html.DisplayFor(modelItem => item.Details)*@
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.RecipeID }) |
                @Html.ActionLink("Details", "Details", new { id = item.RecipeID }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.RecipeID })
            </td>
        </tr>
    }

</table>
